---
title: RTCInboundRtpStreamStats.framesDecoded
slug: Web/API/RTCInboundRtpStreamStats/framesDecoded
tags:
  - API
  - Decode
  - Frames
  - Media
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - decoding
  - framesDecoded
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>framesDecoded</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates the total number of frames which have been decoded successfully for this media source.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>framesDecoded</em> = <em>rtcInboundRtpStreamStats</em>.framesDecoded;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the total number of video frames which have been decoded for this stream so far. This represents the number of frames that would have been displayed assuming no frames were skipped.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-framesdecoded', 'RTCInboundRtpStreamStats.framesDecoded')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.framesDecoded")}}</p>
